CREATE OR REPLACE procedure MONITORAGGIO.P_FIX_AREEOMO
IS
cursor c1 is select * from ZZTEMP_AREE_OMOGENEE;

CURSOR C2 IS SELECT * FROM ZZTEMP_STAZ_AREEOMO;

EXIST_CODARAOMO VARCHAR2(10);
BEGIN 
SYS.DBMS_OUTPUT.PUT_LINE('INIZIO');
/*
03052021 PROCEDURA PER AGGIORNARE LE 
AREE OMOGENEE NELLA TABELLA DI DECODIFICA
ASSOCIAIZIONI STAZIONE AREA
*/

--AREE OMOGENEE
FOR REC IN C1 LOOP
  
  SELECT COUNT(*)
  INTO EXIST_CODARAOMO
  FROM AREE_OMOGENEE
  WHERE COD_AREEOMO  = REC.COD_AREEOMO;
  
  IF(EXIST_CODARAOMO=0) THEN
    SYS.DBMS_OUTPUT.PUT_LINE('nuova');
    INSERT INTO AREE_OMOGENEE (COD_AREEOMO,COD_REGIONE, NOME)
    VALUES (REC.COD_AREEOMO,REC.COD_REGIONE, REC.NOME);
  
  ELSE 
  SYS.DBMS_OUTPUT.PUT_LINE('modifica');
    UPDATE AREE_OMOGENEE
    SET NOME = REC.NOME
    WHERE COD_AREEOMO = REC.COD_AREEOMO;
    
  END IF;
  
END LOOP;

--ASSOCIAIZIONI STAZIONE AREA
FOR REC2 IN C2 LOOP

  UPDATE STAZIONI
  SET COD_AREAOMO = REC2.COD_AREAOMO
  WHERE COD_STAZIONE = REC2.COD_STAZIONE;

END LOOP;

SYS.DBMS_OUTPUT.PUT_LINE('FINE');
EXCEPTION WHEN OTHERS THEN
ROLLBACK;
END;